%define		vendor_version	2.50.0

Summary:	GitHub’s official command line tool
Name:		github-cli
Version:	2.50.0
Release:	1
License:	MIT
Group:		Development/Tools
#Source0Download: https://github.com/cli/cli/releases
Source0:	https://github.com/cli/cli/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	e52b92264e4e15fabd1b387041de0ef8
# cd cli-%{version}
# go mod vendor
# cd ..
# tar cJf github-cli-vendor-%{version}.tar.xz cli-%{version}/vendor
Source1:	%{name}-vendor-%{vendor_version}.tar.xz
# Source1-md5:	dbbabe8c97351da05909b4213fd96fe6
URL:		https://cli.github.com
BuildRequires:	golang >= 1.22
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.009
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
ExclusiveArch:	%go_arches
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_debugsource_packages	0

%description
gh is GitHub on the command line. It brings pull requests, issues, and
other GitHub concepts to the terminal next to where you are already
working with git and your code.

%package -n bash-completion-github-cli
Summary:	Bash completion for github-cli command line
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 1:2.0
BuildArch:	noarch

%description -n bash-completion-github-cli
Bash completion for github-cli command line.

%package -n fish-completion-github-cli
Summary:	fish-completion for github-cli
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	fish
BuildArch:	noarch

%description -n fish-completion-github-cli
fish-completion for github-cli.

%package -n zsh-completion-github-cli
Summary:	ZSH completion for github-cli command line
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	zsh
BuildArch:	noarch

%description -n zsh-completion-github-cli
ZSH completion for github-cli command line.

%prep
%setup -q -a1 -n cli-%{version}

%{__mv} cli-%{vendor_version}/vendor .

%{__mkdir_p} .go-cache

%build
%__go build -v -mod=vendor -ldflags "-X github.com/cli/cli/v2/internal/build.Date=%(date +%Y-%m-%d) -X github.com/cli/cli/v2/internal/build.Version=%{version}" -o target/gh ./cmd/gh

%__go run ./cmd/gen-docs --man-page --doc-path target/man

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{bash_compdir},%{fish_compdir},%{zsh_compdir}}

install -p target/gh $RPM_BUILD_ROOT%{_bindir}/gh
install -p target/man/* $RPM_BUILD_ROOT%{_mandir}/man1

./target/gh completion -s bash > $RPM_BUILD_ROOT%{bash_compdir}/gh
./target/gh completion -s fish > $RPM_BUILD_ROOT%{fish_compdir}/gh.fish
./target/gh completion -s zsh > $RPM_BUILD_ROOT%{zsh_compdir}/_gh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/gh
%{_mandir}/man1/gh.1*
%{_mandir}/man1/gh-*.1*

%files -n bash-completion-github-cli
%defattr(644,root,root,755)
%{bash_compdir}/gh

%files -n fish-completion-github-cli
%defattr(644,root,root,755)
%{fish_compdir}/gh.fish

%files -n zsh-completion-github-cli
%defattr(644,root,root,755)
%{zsh_compdir}/_gh
%changelog
* Fri May 31 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/github-cli.git;a=log;h=master

* Thu May 30 2024 Jan Palus <atler@pld-linux.org> 9db1d72
- up to 2.50.0

* Thu Apr 18 2024 Jan Palus <atler@pld-linux.org> 96550c4
- up to 2.48.0

* Tue Feb 27 2024 Jan Palus <atler@pld-linux.org> 9614d8a
- up to 2.44.1

* Mon Jan 08 2024 Jan Palus <atler@pld-linux.org> 3edf9f2
- up to 2.41.0

* Tue Dec 12 2023 Jan Palus <atler@pld-linux.org> ab58e22
- up to 2.40.0

* Wed Oct 18 2023 Jan Palus <atler@pld-linux.org> 9bd2b8a
- up to 2.37.0

* Tue Oct 03 2023 Jan Palus <atler@pld-linux.org> 61b2b83
- up to 2.36.0

* Tue Sep 19 2023 Jan Palus <atler@pld-linux.org> e835230
- up to 2.35.0

* Wed Sep 06 2023 Jan Palus <atler@pld-linux.org> 40cbef2
- up to 2.34.0

* Mon Aug 21 2023 Jan Palus <atler@pld-linux.org> 2d9476f
- up to 2.33.0

* Tue Jul 11 2023 Jan Palus <atler@pld-linux.org> 44218e0
- up to 2.32.0

* Wed Jun 21 2023 Jan Palus <atler@pld-linux.org> 19443a8
- up to 2.31.0

* Sat Jun 10 2023 Jan Palus <atler@pld-linux.org> 6654afd
- up to 2.30.0

* Tue May 30 2023 Jan Palus <atler@pld-linux.org> 2bf7333
- new

